Skip to content
Navigation

Close commitment

POST
https://api.sureshake.com/v2/execution/cycles/{cycleId}/commitments/{commitmentId}/closure

Path parameters

  • cycleId
    string
    required
    format: uuid
  • commitmentId
    string
    required
    format: uuid

Request body JSON required

  • expectedVersionNumber
    integer
    required
    minimum: 1
  • outcomeStatus
    completed
    or
    partial
    or
    missed
    required
  • actualResult
    string
    required
    maxLength: 4000 · minLength: 1
  • varianceExplanation
    optional
    string
    maxLength: 4000 · minLength: 1
  • publishToFollowers
    optional
    boolean

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • commitmentId
      string
      required
      format: uuid
    • outcomeStatus
      completed
      or
      partial
      or
      missed
      required
    • actualResult
      string
      required
      maxLength: 4000 · minLength: 1
    • varianceExplanation
      string
      or null
      required
      maxLength: 4000 · minLength: 1
    • commitmentVersionNumber
      integer
      required
      minimum: 1
    • resolvedBy
      string
      required
      minLength: 1
    • resolvedAt
      string
      required
      format: date-time
    • payloadHash
      string
      required
      pattern: ^sha256:[a-f0-9]{64}$
    • followerUpdate
      object
      required
      • selected
        boolean
        required
      • updateId
        string
        or null
        required
        format: uuid
      • selectedBy
        string
        or null
        required
        minLength: 1
      • selectedAt
        string
        or null
        required
        format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close